/*	Formatright  2013, Jhob94

	The "Win Messages Changer" is free plugin;
	You can redistribute it and/or modify it under the terms of the
	GNU General Public License as published by the Free Software Foundation.

	This plugin is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with "Win Messages Changer" Source Code; if not, write to the
	Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.
*/

#include <amxmodx>

#define MAX_CHARACTERS 50 // If your message has more then 50 characters, you should change this value

new bool:T_WON, bool:CT_WON
new msgcvar_method, msgcvar_t, msgcvar_ct

public plugin_init()
{
	register_plugin("Win Messages Changer", "0.0.1", "Jhob94")
	
	register_message(get_user_msgid("SendAudio"), "Messages_Audio")
	
	// Message Method
	msgcvar_method = register_cvar("win_msg_method", "0") // 0 = Print_Center | 1 = HUD
	
	// Messages - Be Creative :D
	msgcvar_t = register_cvar("t_win_msg", "Terrorists Owned This Round!") // Terrorists Win Message
	msgcvar_ct = register_cvar("ct_win_msg", "CTs Owned This Round!") // Counter-Terrorists Win Message
}

public Messages_Audio(Message_Index, Message_Dest, Index)
{
	if(!Index)
	{
		new Audio[14]
		get_msg_arg_string(2, Audio, charsmax(Audio))
		
		if(equal(Audio, "%!MRAD_terwin"))
			CT_WON = true
		
		else if(equal(Audio, "%!MRAD_ctwin"))
			T_WON = true
		
		else
			return

		if(get_msg_block(get_user_msgid("TextMsg")) == BLOCK_NOT)
			set_msg_block(get_user_msgid("TextMsg"), BLOCK_ONCE)

		new Users[32], Num
		get_players(Users, Num)
		
		for(new i; Num>i; i++)
		{
			new User
			User = Users[i]
			
			if(T_WON == true)
			{
				T_WON = false
				new t_won_msg[MAX_CHARACTERS + 1]
				get_pcvar_string(msgcvar_t, t_won_msg, MAX_CHARACTERS)
				
				if(!get_pcvar_num(msgcvar_method))
					client_print(User, print_center, "%s", t_won_msg)
					
				else
				{
					set_hudmessage(250, 0, 0, -1.0, 0.3, 0, 6.0, 12.0)
					show_hudmessage(User, "%s", t_won_msg)
				}
				
			}
			
			else if(CT_WON == true)
			{
				CT_WON = false
				new ct_won_msg[MAX_CHARACTERS + 1]
				get_pcvar_string(msgcvar_ct, ct_won_msg, MAX_CHARACTERS)
				
				if(!get_pcvar_num(msgcvar_method))
					client_print(User, print_center, "%s", ct_won_msg)
					
				else
				{
					set_hudmessage(0, 0, 250, -1.0, 0.3, 0, 6.0, 12.0)
					show_hudmessage(User, "%s", ct_won_msg)
				}
			}	
		}		
	}
}